*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
}

.navbar{
    background-color: rgb(32, 175, 185);
    height: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
    position: sticky;
    top: 0;
    z-index: 999;
}

.navbar__containter{
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100%;
    max-width: 1300px;
    margin: 0;
    padding: 0;
}

#navbar__logo{
    background-color: #ca2c21;
    background-image: linear-gradient(to top #ff0844, #ffb1 100);
    text-decoration: none;
    background-size: 100px;
    cursor: pointer;
    align-items: center;
    display: flex;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
    font-size: 1.5rem;
     font-weight: bold;
     padding: 10px;
}

.fa-gem{
    margin-right: 0.5rem;
    
}

.navbar___menu {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    list-style: none;
}

.navbar__item{
    background-color: rgb(252, 253, 253);
    background-image: linear-gradient(to top green, white 100%);
    text-decoration: none;
    background-size: 100%;
    cursor: pointer;
    display: flex;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 1rem;
    height: 80px;
    justify-content: space-between;
}

.navbar__item:hover{
    background-color: rgb(255, 0, 0);
    transition: all 0.5s ease-in-out;
}

.navbar__button{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 1rem;
    font-size: 1rem;
    width: 100%;
    color: antiquewhite;
    justify-content: space-between;
    height: 80px;
}

.navbar__links{
    color: aliceblue;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    padding: 0 1rem;
    height: 100%;
}
.button{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    padding: 7px 7px;
    border: none;
    outline: none;
    border-radius: 5px;
    color: rgb(231, 238, 236);
    background-color: #ca2c21;
}
.button:hover{
    background-color: rgb(55, 0, 255);
    transition: all 0.5s ease-in-out;
}

@media screen and (max-width: 960px) {
   .navbar containter{
    display: flex;
    justify-content: space-between;
    height: 80px;
    z-index: 1;
    width: 100px;
    max-width: 1300px;
    padding: 0;
   } 

   .navbar___menu{
    display: grid;
    grid-template-columns: auto;
    margin: 0;
    width: 100%;
    position: absolute;
    top: -1000px;
    opacity: 0;
    transition: all 0.5s ease;
    height: 50vh;
    z-index: 1;
    justify-content: center;
    align-items: center;
    font-size: 10rem;
   }

   .navbar___menu.active{
    background-color: rgb(20, 20, 20);
    top: 100%;
    opacity: 1;
    transition: all 0.3s ease;
    z-index: 99;
    height: 50vh;
    font-size: 1.6rem;
   }

   #navbar__logo{
    padding: 25px;
   }
   .navbar__toggle .bar{
    width: 25px;
    height: 3px;
    margin: 5px auto;
    transition: all 0.3s ease-in-out;
    background-color: rgb(14, 112, 199);
   }
   .navbar__item{
    width: 100%;
   }
   .navbar__links{
    text-align: center;
    padding: 1rem;
    width: 100%;
    display: table;
   }

   #mobile_menu{
    position: absolute;
    top: 20%;
    right: 5%;
    transform: translate(5%, 20%);
   }

   .navbar__button{
    padding-bottom: 2rem;
    border-radius: 10%;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
   }

   .button{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
    height: 1111110px;
    margin: 0;
    height: 30px;
    border-radius: 4px;
    padding: 10px 20px;
    border: none;
    text-decoration: none;
   }

   .navbar__toggle .bar{
    display: block;
    cursor: pointer;
   }
   #mobile_menu.is-active .bar:nth-child(2){
    opacity: 0;
   }
   #mobile_menu.is-active .bar:nth-child(1){
    transform: translateY(8px) rotate(45deg); 
   }
   #mobile_menu.is-active .bar:nth-child(3){
    transform: translateY(-8px) rotate();
   }
} 

/* Main Section Css */
.main__container{
    background-color: rgb(1, 1, 15);
    display: flex;
    align-items: center;
    justify-self: center;
    grid-template-columns: 1fr 1fr;
    margin: 0 auto;
    height: 90vh;
    z-index: 1;
    width: 100%;
    padding: 0 50px;
}

.main__content h1{
    font-size: 4rem;
    background-color: #ff8177;
    background-image: linear-gradient(to top, #ff0844 0%, #ffb199 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.main__content h2{
    font-size: 4rem;
    background-color: #ff8177;
    background-image: linear-gradient(to top, #b721ff 0%, #21d4fd 100%);
    background-size: 100%;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.main__content p{
    margin: 1rem;
    font-size: 2rem;
    font-weight: 700;
    color: #fff;
}

.main__btn{
    font-size: 1rem;
    background-image: linear-gradient(to top, #f77062 5%, #fe5196 100%);
    border: none;
    border-radius: 4px;
    color: #fff;
    padding: 14px 32px;
    cursor: pointer;
    margin-top: 2rem;
    position: relative;
    outline: none;
    transition: all 0.3s ease;
}

.main__btn a {
    position: relative;
    z-index: 2;
    color: #fff;
    text-decoration: none;
    font-size: 1rem;
}

.main__btn::after {
   position: absolute;
   content: "";
   top: 0;
   left: 0;
   width: 0;
   height: 100%;
   background: #1507ad;
   border-radius: 4px;
   transition: all 0.35s;
   border-radius: 4px;
}

.main__btn:hover{
    color: #fff;
}
.main__btn:hover::after{
    width: 100%;
}

.main__img__container{
    text-align: center;
}

#main__img{
    height: 80%;
    width: 80%;
}

/* mobile Responsiveness */
@media screen and (max-width: 768px) {
    .main__container{
        display: grid;
        grid-template-columns: auto;
        align-items: center;
        justify-content: center;
        justify-self: center;
        width: 100%;
        margin: 0 auto;
        height: 90vh;
    }
    .main__content{
        text-align: center;
        margin-top: 4px;
    }
    .main__content h1{
        font-size: 2.3rem;
        margin-top: 2rem;
    }

    .main__content h2{
        font-size: 3rem;
    }

    .main__content p{
        margin-top: 1rem;
        font-size: 1.5rem;
    }
}

@media screen and (max-width: 480px) {
    .main__content h1{
        font-size: 2rem;
        margin-top: 3rem;
    }
    .main__content h2{
        font-size: 3rem;
    }
    .main__content p{
        margin-top: 1rem;
        font-size: 1.5rem;
    }
    .main__btn{
        padding: 16px 32px;
        margin-top: 2.5rem 0;
    }
}
/* services Styling */
.services{
    background-color: rgb(119, 110, 110);
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 800px;
}

.services h1{
    background-color: #f77062;
    background-image: linear-gradient(to right, #ff8177 0%, #ff867a 0%, #ff8c7f 21%, #f99185 51%, #cf556c 78%, #b12a5b 180%);
    background-size: 100%;
    margin-bottom: 5rem;
    font-size: 2.5rem;
    -webkit-background-clip: text;
    -moz-background-clip: text;
    -webkit-text-fill-color: transparent;
    -moz-text-fill-color: transparent;
}

.services__container{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.services__card {
    margin: 1rem;
    height: 525px;
    width: 500px;
    border-radius: 4px;
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(17, 17, 17, 0.6) 100%
      ),
      url("/images/ola11.jpg");
    background-size: cover;
    position: relative;
    color: #fff;
  }

  .services__card:nth-child(2) {
    background-image: linear-gradient(
        to bottom,
        rgba(0, 0, 0, 0) 0%,
        rgba(17, 17, 17, 0.6) 100%
      ),
      url("/images/pic.jpg");
  }
  
  .services h2 {
    position: absolute;
    top: 350px;
    left: 30px;
  }

  .services__card p{
    position: absolute;
    top: 400px;
    left: 30px;
  }

  .services__card button{
    color: #fff;
    padding: 10px 20px;
    border: none;
    outline: none;
    border-radius: 4px;
    background: #f77062;
    position: absolute;
    top: 440px;
    left: 30px;
    font-size: 1rem;
    cursor: pointer;
  }

  .services__card:hover{
    transform: scale(1.075);
    transform: 0.2s ease-in;
    cursor: pointer;
  }

  @media screen and (max-width: 960px) {
    .services{
        height: 900px;
        padding-top: none;
        padding-bottom: 0px;
    }
    .services h1{
        font-size: 2rem;
        margin-top: 12rem;
    }
    .services__card{
        width: 300px;
    }
  }

  @media screen and (max-width: 480px) {
    .services{
        height: 1400px;
    }
    .services h1{
        font-size: 1.2rem;
    }
    .services__card{
        width: 300px;
    }
  }

  /* Footer Styling */
  
  .footer__container {
    background-color: rgb(25, 19, 112);
    padding: 5rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
#footer__logo {
    color: #060607;
    display: flex;
    align-items: center;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    padding-right: 200px;
    height: 20vh;
}
.footer__links {
    width: 100%;
    max-width: 1000px;
    display: flex;
    justify-content: center;
    
}
.footer__link--wrapper {
    display: flex;
}
.footer__link--items {
    display: flex;
    flex-direction: column;
    margin: 16px;
    text-align: left;
    width: 160px;
    box-sizing: border-box;
    align-items: flex-start;
}
.footer__link--items h2 {
    margin-bottom: 16px;
}
.footer__container__links > h2 {
    color: #ffffff;
}
.footer__link--items a {
    color: #fff;
    text-decoration: none;
    margin-bottom: 0.5rem;
}
.footer__link--items a:hover {
    color: #631ad8;
    transition: 0.3 ease-out;
}

/* social icons */
.social__icon--links {
    color: #1b1a1d;
    font-size: 24px;
}
.social__media--wrap{
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    list-style: none;
}


.social__icons{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 250px;
    
}

.footer__logo{
    color: rgb(14, 72, 230);
    justify-self: flex-start;
    margin-left: 20px;
    cursor: pointer;
    text-decoration: none;
    font-size: 2rem;
    display: flex;
    align-items: center;
    margin-bottom: 16px;
    padding-right: 20px;
}

.Website__rights{
    color: rgb(20, 18, 18);
    display: flex;
    padding-right: 200px;
}

@media screen and (max-width: 820px){
   .footer__links{ 
    padding-top: 2rem;
   } 
   #footer__logo{
    margin-bottom: 2rem;
   }
   .Website__rights{
    margin-bottom: 2rem;
   }
   .footer__link--wrapper{
    flex-direction: column;
   }
   .social__media--Wrap{
    flex-direction: column;
   }

   .social__media--wrap{
    display: grid;
    align-items: center;
    padding-left: 200px;
   }

   .social__icons{
    height: 5vh;
   }

   .Website__rights p{
    height: 10vh;
   }

   .footer__logo{
    height: 11vh;
   }

   #footer__logo{
    height: auto;
    padding: 20px;
   }
}
@media screen and (max-width:480px) {
    .footer__link--items{
        margin: 0;
        padding: 10px;
        width: 100%;
    }
}

